/**
 * Title:        CoCompose2
 * Copyright:    Copyright (c) 2003, 2004
 * Author:       Dennis Wagelaar
 * Organisation: Vrije Universiteit Brussel
 * Description:  CoCompose2 Model Driven Design Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 * 
 * $Id: ConceptEditPart.java,v 1.3 2004/04/27 16:43:58 dwagelaa Exp $
 * $Log: ConceptEditPart.java,v $
 * Revision 1.3  2004/04/27 16:43:58  dwagelaa
 * + added drag-n-drop
 * + added copy/paste
 * + added general copying operation
 * - removed examples (in separate module now)
 *
 * Revision 1.2  2004/04/26 17:39:41  dwagelaa
 * Changed the defaultConcept property into the defaultElement property, which is a RefinedElement.
 *
 */

package be.ac.vub.cocompose.eclipse.editparts;

import java.beans.PropertyChangeEvent;

import be.ac.vub.cocompose.lang.core.Concept;

/**
 * Eclipse editpart controller for EclipseConcept objects.
 * @author Dennis Wagelaar
 * @version 0.2.9, 26/04/2004
 * @since 0.2.0
 */
public class ConceptEditPart extends RefinedElementEditPart
{
  /**
   * @see java.beans.PropertyChangeListener#propertyChange(java.beans.PropertyChangeEvent)
   */
  public void propertyChange(PropertyChangeEvent evt)
  {
    super.propertyChange(evt);
  }

  /**
   * Gets the model associated with this.
   * @return the model associated with this.
   */
  protected Concept getConcept()
  {
    return (Concept) getModel();
  }

  /**
   * @see org.eclipse.gef.editparts.AbstractEditPart#refreshVisuals()
   */
  protected void refreshVisuals() 
  {
    getConceptFigure().setLabel(getConcept().getName());
    super.refreshVisuals();
  }
}
