/**
 * Title:        CoCompose2
 * Copyright:    Copyright (c) 2003
 * Author:       Dennis Wagelaar
 * Organisation: Vrije Universiteit Brussel
 * Description:  CoCompose2 Model Driven Design Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 */

package be.ac.vub.cocompose.eclipse.wizards;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;


/**
 * Eclipse wizard for creating new CoCompose models.
 * @author Dennis Wagelaar
 * @version 0.2.0, 08/12/2003
 * @since 0.2.0
 */
public class NewModelWizard extends Wizard implements INewWizard 
{
  private ModelWizardPage wizardPage = null;
  private IStructuredSelection selection = null;
  private IWorkbench workbench = null;

  /**
   * Adds the wizard pages.
   * @see org.eclipse.jface.wizard.IWizard#addPages()
   */
  public void addPages()
  {
    wizardPage = new ModelWizardPage(workbench, selection);
    addPage(wizardPage);
  }

  /**
   * @see org.eclipse.jface.wizard.IWizard#performFinish()
   */
  public boolean performFinish() 
  {
  	return wizardPage.finish();
  }

  /** 
   * @see org.eclipse.ui.IWorkbenchWizard#init(org.eclipse.ui.IWorkbench, org.eclipse.jface.viewers.IStructuredSelection)
   */
  public void init(IWorkbench workbench, IStructuredSelection selection) 
  {
    this.workbench = workbench;
    this.selection = selection;
  }
}
