/**
 * Title:        CoCompose2
 * Copyright:    Copyright (c) 2003, 2004
 * Author:       Dennis Wagelaar
 * Organisation: Vrije Universiteit Brussel
 * Description:  CoCompose2 Model Driven Design Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 * 
 * $Id: SolutionPattern.java,v 1.2 2004/05/07 15:25:47 dwagelaa Exp $
 * $Log: SolutionPattern.java,v $
 * Revision 1.2  2004/05/07 15:25:47  dwagelaa
 * fixed all things to compile again
 *
 */

package be.ac.vub.cocompose.lang.core;

/**
 * The Solution Pattern language element interface.
 * @author Dennis Wagelaar 
 * @version 0.2.10, 07/05/2004
 * @since 0.1.0
 */
public interface SolutionPattern extends Refinement 
{
  /**
   * Gets the solution model.
   * @return the solution model.
   */
  public Model getSolutionModel();

  /**
   * Sets the solution model.
   * @param solutionModel the solution model.
   */
  public void setSolutionModel(Model solutionModel);
}
