/**
 * Title:        CoCompose2
 * Copyright:    Copyright (c) 2003, 2004
 * Author:       Dennis Wagelaar
 * Organisation: Vrije Universiteit Brussel
 * Description:  CoCompose2 Model Driven Design Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 * 
 * $Id: DefaultModelProperty.java,v 1.3 2004/05/07 15:25:47 dwagelaa Exp $
 * $Log: DefaultModelProperty.java,v $
 * Revision 1.3  2004/05/07 15:25:47  dwagelaa
 * fixed all things to compile again
 *
 */

package be.ac.vub.cocompose.lang.impl.properties;

import be.ac.vub.cocompose.lang.properties.ModelProperty;
import be.ac.vub.cocompose.lang.ModelVisitor;
import be.ac.vub.cocompose.lang.ModelElementException;
import be.ac.vub.cocompose.lang.Properties;
import be.ac.vub.cocompose.lang.core.Model;

/**
 * Delegates to a model as property.
 * @author Dennis Wagelaar 
 * @version 0.2.10, 07/05/2004
 * @since 0.2.0
 */
public class DefaultModelProperty extends DefaultProperty implements ModelProperty
{
  private Model targetModel = null;

  /**
   * Gets the property container model.
   * @return the model.
   */
  public Model getTargetModel()
  {
    return targetModel;
  }

  /**
   * Sets the property container model.
   * @param model the model.
   */
  public void setTargetModel(Model model)
  {
    this.targetModel = model;
    firePropertyChange(Properties.ID_TARGET_MODEL, null, model);
  }

  /**
   * Accepts a visitor.
   * @param modelVisitor The visitor to accept.
   */
  public void accept(ModelVisitor modelVisitor) throws ModelElementException 
  {
    modelVisitor.visitModelProperty(this);
  }
}
